#!/bin/sh
# \
exec /usr/local/bin/fltkwish "$0" ${1+"$@"}
#
# --- canvas.tcl --- Test harness for canvas shapes
#

catch { Destroy t }

# Use the option database to configure some of the options for canvas
# items.

Option add CanvasItem.line.disabledcolor black
Option add CanvasItem.text.disabledcolor black

# Create the main window. It will automatically size itself to the canvas

Toplevel t 
# 
# Add scroll bars to the canvas display
#
Scroll t.s
#
# Create a canvas for the display of the items
#
set can [Canvas t.s.c -width 400 -height 400 -relief flat]
#
#proc Where { x y } { puts "Mouse ($x,$y)" }
#
#Bind $can <Motion> { Where %x %y }
#
Show t
#
set tri [$can create triangle]
#
set cir [$can create circle -scale 0.5,0.5]

$can create line -from 100,95 -to 100,105 -state disabled
$can create line -from 95,100 -to 105,100 -state disabled
#
set txt [$can create text -state disabled]

