#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- crash.tcl --- Script to test crash caused by multiple windows
#
# Copyright(C) I.B.Findleton, May, 2003. All Rights Reserved
#
set list { a b c d e f g h i j k l m n o p q r s t u v w x y z }

for { set i -10 } { $i < 11 } { incr i } {
	set isq [expr $i * $i]
	set Data($i,$isq,red) $isq
	}
	 
if { [llength $argv] > 0 } {
	set widget [lindex $argv 0]
} else {
	set widget Label
	}

proc XLabel { v } { return [expr int($v)] }

Destroy t

Tabs t.t -h 420 -w 400
foreach item $list {
		XYPlot t.t.$item  -variable Data -line true -grid true \
		-xlabel Abscissa -ylabel Ordinate -xlabelcommand "XLabel %v" \
		-xrange -20,20 -title $item
		}	

Show t
