#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- lablinpt.tcl --- Test harness for the labeled input widget
#
# Copyright(C) I.B.Findleton, 2002. All Rights Reserved
#

Destroy t

set Target ""

# This gets called when the user presses the Enter key

proc HandleInput { w } {

	global Target

	puts "User has entered $Target"

	set Target ""

	}

LabeledInput t.t -label "Test Input" -variable Target -command { HandleInput %W }

Show t


