#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}

# --- listbox.tcl --- Test harnes for the listbox

# Copyright(C) I.B.Findleton, 2001. All Rights Reserved

# Uncomment the following line to see things in silver!

Scheme shiny -background pink -bg2 pink

# Create the main window

Toplevel root -w 520 -h 600

# Use the label to put some text on the window

Label root.l1 -x 10 -y 10 -relief ridge -text "File Name"

# By changing the file name in this input you can display the file
# in the listbox. This is not an editor, but makes a good widget for
# the display of text files...

Input root.o1 -x 120 -w 200 -value "button.tcl" -variable FileName -variablecommand { root.l2 load $FileName } 

# Create a listbox. It will have automatic scrollbars.

Listbox root.l2 -y 40 -w 500 -h 500

# Just load a file into the listbox

root.l2 load $FileName

# Use this button to get rid of the window when finished.

Button root.b1 -x 10 -y 560 -text Dismiss -command exit

# Display everything ...

Show root

