#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- panel.tcl --- Test harness for the panel megawidget
#
proc Panel { w width height args } {

	set f [Package $w -o horizontal -w $width -h $height -pad 0]
#	set f1 [Frame $f.buttons -r 12 -c 1 -w 60 -relief sunken]
	set f1 [Package $f.buttons -o vertical -w 60]
	set f2 [Wizard $f.wizard -w [expr $width - 60]] 
	
	for { set i 0 } { $i < 11 } { incr i } {
		Frame $f2.$i -label "This is panel $i"
		Button $f1.$i -bg tan -highlightbackground yellow -label "Panel $i" -command "$f2 set -value [expr $i + 1]"
		}
		
	
	return $f
	}

Scheme modern
	
Destroy t

Panel t.all 300 220

set panels t.all.wizard

RadialPlot $panels.0.read -w 100 -h 100


Show t
