# --- testwdgt.tcl --- Test harness for new widgets

package require Fltk

# This is a widget that is a labeled text box. The label is to the left of
# the actual value display.

proc Widget { w args } {

	Package $w -orientation horizontal -height 20

	Label $w.label -text "The Label" -justify left,inside -font helv,italic -fontsize 12 -relief flat
	eval { Label $w.text -text "The value" } $args

	return $w
	}

Toplevel t

Widget t.tt

Show t

