#!/bin/sh
# \
exec fltkwish "$0" -- ${1+"$@"}
#
set Data(State) "all"

LabeledInput t.l -label State -variable Data(State) -command { LoadCities }

Listbox t.t -y 30 -width 400 -height 200 -columnwidths 150,150,50

proc City { name state id } {

	global Data

	if { $Data(State) == "all" || $Data(State) == $state } {	
		t.t add "$name\t$state\t$id"
		}
	}

proc LoadCities { } {

	t.t clear

	Load
	}

proc Load {} {

City "Anniston/Calhoun Co"  "Alabama"  "KANB"

City "Birmingham Muni"  "Alabama"  "KBHM"

City "Centreville/Bibb Co"  "Alabama"  "KCKL"

City "Decatur"  "Alabama"  "KDCU"

City "Dothan Municipal"  "Alabama"  "KDHN"

City "Gadsden"  "Alabama"  "KGAD"

City "Huntsville/Madison"  "Alabama"  "KHSV"

City "Lowe/Fort Rucker"  "Alabama"  "KLOR"

City "Mobile/Bates Field"  "Alabama"  "KMOB"

City "Montgomery/Dannelly"  "Alabama"  "KMGM"

City "Muscle Shoals Rgnl"  "Alabama"  "KMSL"

City "Tuscaloosa Muni"  "Alabama"  "KTCL"

City "Adak Nas/Mitchell"  "Alaska"  "PADK"

City "Ambler"  "Alaska"  "PAFM"

City "Anchorage Intl Arpt"  "Alaska"  "PANC"

City "Annette Island"  "Alaska"  "PANT"

City "Annik Airport"  "Alaska"  "PANV"

City "Barrow/Post-Rogers"  "Alaska"  "PABR"

City "Barter Island (Dew)"  "Alaska"  "PABA"

City "Bethel Airport"  "Alaska"  "PABE"

City "Bettles Field"  "Alaska"  "PABT"

City "Birchwood"  "Alaska"  "PABV"

City "Cape Spencer (Amos)"  "Alaska"  "PACS"

City "Circle City Airport"  "Alaska"  "PACR"

City "Clear"  "Alaska"  "PACL"

City "Cold Bay Airport"  "Alaska"  "PACD"

City "Cordova/Mile "  "Alaska"  "PACV"

City "Deering"  "Alaska"  "PADE"

City "Dutch Harbor"  "Alaska"  "PADU"

City "Eielson Afb"  "Alaska"  "PAEI"

City "Elmendorf Afb"  "Alaska"  "PAED"

City "Eureka"  "Alaska"  "PAZK"

City "Fairbanks Intl Arpt"  "Alaska"  "PAFA"

City "Fort Yukon (Awos)"  "Alaska"  "PAFY"

City "Ft Richardson/Bryn"  "Alaska"  "PAFR"

City "Ft.Greely"  "Alaska"  "PABI"

City "Ft.Greely/Allen Aaf"  "Alaska"  "PABG"

City "Galbraith Lake"  "Alaska"  "PAGB"

City "Galena"  "Alaska"  "PAGA"

City "Gambell (Awos)"  "Alaska"  "PAGM"

City "Golovin"  "Alaska"  "PAGL"

City "Gulkana Arpt (Aut)"  "Alaska"  "PAGK"

City "Gustavus"  "Alaska"  "PAGS"

City "Haines"  "Alaska"  "PAHN"

City "Healy River Airport"  "Alaska"  "PAHV"

City "Huslia"  "Alaska"  "PAHS"

City "Juneau Intl Airport"  "Alaska"  "PAJN"

City "Ketchikan Intl Arpt"  "Alaska"  "PAKT"

City "King Salmon"  "Alaska"  "PAKN"

City "Kodiak"  "Alaska"  "PADQ"

City "Kotzebue/Ralph Wien"  "Alaska"  "PAOT"

City "Koyuk Airport"  "Alaska"  "PKKA"

City "Mcgrath"  "Alaska"  "PAMC"

City "Mekoryuk"  "Alaska"  "PAMY"

City "Minchumina"  "Alaska"  "PAMH"

City "Nenana Muni (Amos)"  "Alaska"  "PANN"

City "Nightmute"  "Alaska"  "PAGT"

City "Nivalina"  "Alaska"  "PAVL"

City "Nome"  "Alaska"  "PAOM"

City "Northway"  "Alaska"  "PAOR"

City "Palmer Municipal"  "Alaska"  "PAAQ"

City "Petersburg"  "Alaska"  "PAPG"

City "Platinum"  "Alaska"  "PAPM"

City "Port Alexander"  "Alaska"  "PAAP"

City "Port Alsworth"  "Alaska"  "PALJ"

City "Port Heiden (Amos)"  "Alaska"  "PAPH"

City "Prudhoe Bay"  "Alaska"  "PAPU"

City "Puntilla"  "Alaska"  "PAPT"

City "Red Dog"  "Alaska"  "PARD"

City "Saint Mary'S (Awos)"  "Alaska"  "PASM"

City "Sand Point"  "Alaska"  "PASD"

City "Selawik"  "Alaska"  "PASK"

City "Shishmaref (Awos)"  "Alaska"  "PASH"

City "Shmya/Eareckson Afs"  "Alaska"  "PASY"

City "Skwentna"  "Alaska"  "PASW"

City "Umiat"  "Alaska"  "PAUM"

City "Valdez"  "Alaska"  "PAVD"

City "Wainwright (Dew)"  "Alaska"  "PAAI"

City "Wasilla New Arpt"  "Alaska"  "PAWS"

City "Wiseman Arpt"  "Alaska"  "PWSM"

City "Yakutat"  "Alaska"  "PAYA"

City "Douglas Bisbee Intl"  "Arizona"  "KDUG"

City "Flagstaff"  "Arizona"  "KFLG"

City "Fort Huachuca/Libby"  "Arizona"  "KFHU"

City "Glendale"  "Arizona"  "KLUF"

City "Kingman"  "Arizona"  "KIGM"

City "Lake Havasu (Awos)"  "Arizona"  "KLHU"

City "Page Muni"  "Arizona"  "KPGA"

City "Payson"  "Arizona"  "KPJB"

City "Phoenix"  "Arizona"  "KDVT"

City "Phoenix/Sky Harbor"  "Arizona"  "KPHX"

City "Prescott/Love Fld"  "Arizona"  "KPRC"

City "Safford"  "Arizona"  "KSAD"

City "Tucson"  "Arizona"  "KTUS"

City "Winslow"  "Arizona"  "KINW"

City "Yuma Intl Airport"  "Arizona"  "KYUM"

City "Blytheville/Eaker"  "Arkansas"  "KBYH"

City "El Dorado/Goodwin"  "Arkansas"  "KELD"

City "Fayetteville/Drake"  "Arkansas"  "KFYV"

City "Fort Smith Muni"  "Arkansas"  "KFSM"

City "Harrison/Boone Co."  "Arkansas"  "KHRO"

City "Hot Springs"  "Arkansas"  "KHOT"

City "Jacksonville"  "Arkansas"  "KLRF"

City "Jonesboro Municipal"  "Arkansas"  "KJBR"

City "Little Rock/Adams"  "Arkansas"  "KLIT"

City "Pine Bluff/Grider"  "Arkansas"  "KPBF"

City "Texarkana"  "Arkansas"  "KTXK"

City "Arcata/Eureka Arpt"  "California"  "KACV"

City "Bakersfield/Meadows"  "California"  "KBFL"

City "Blythe Airport"  "California"  "KBLH"

City "Burbank/Glendale"  "California"  "KBUR"

City "China Lake"  "California"  "KNID"

City "Daggett"  "California"  "KDAG"

City "Edwards Afb"  "California"  "KEDW"

City "El Centro (Naf)"  "California"  "KNJK"

City "Emigrant Gap"  "California"  "KBLU"

City "Fairfield"  "California"  "KSUU"

City "Fort Ord"  "California"  "KOAR"

City "Fresno Air Terminal"  "California"  "KFAT"

City "Imperial"  "California"  "KIPL"

City "Lake Tahoe"  "California"  "KTVL"

City "Lancaster/Fox Field"  "California"  "KWJF"

City "Long Beach"  "California"  "KL"

City "Long Beach Airport"  "California"  "KLGB"

City "Los Angeles"  "California"  "KLAX"

City "Marysville/Yuba Co"  "California"  "KMYV"

City "Merced/Macready Fld"  "California"  "KMCE"

City "Monterey"  "California"  "KMRY"

City "Mount Shasta"  "California"  "KMHS"

City "Oakland"  "California"  "KOAK"

City "Oceanside Municipal"  "California"  "KL"

City "Ontario Intl Arpt"  "California"  "KONT"

City "Palm Springs Rgnl"  "California"  "KPSP"

City "Paso Robles Muni"  "California"  "KPRB"

City "Pt Mugu Naws"  "California"  "KNTD"

City "Red Bluff Municipal"  "California"  "KRBL"

City "Redding Municipal"  "California"  "KRDD"

City "Riverside Municipal"  "California"  "KRAL"

City "Sacramento"  "California"  "KSAC"

City "Salinas Municipal"  "California"  "KSNS"

City "San Bernadino"  "California"  "KSBD"

City "San Diego/Lindberg"  "California"  "KSAN"

City "San Diego/Miramar"  "California"  "KNKX"

City "San Francisco"  "California"  "KSFO"

City "San Jose Intl Arpt"  "California"  "KSJC"

City "San Luis Obispo"  "California"  "KSBP"

City "Sand Clemente Nalf"  "California"  "KNUC"

City "Santa Barbara Muni"  "California"  "KSBA"

City "Santa Maria"  "California"  "KSMX"

City "Stockton Metro"  "California"  "KSCK"

City "Thermal Airport"  "California"  "KTRM"

City "Ukiah Muni"  "California"  "KUKI"

City "Van Nuys Airport"  "California"  "KVNY"

City "Vandenberg Afb"  "California"  "KVBG"

City "Victorville"  "California"  "KVCV"

City "Akron/Washington Co"  "Colorado"  "KAKO"

City "Alamosa Muni"  "Colorado"  "KALS"

City "Aspen"  "Colorado"  "KASE"

City "Aurora"  "Colorado"  "KDNR"

City "Colorado Springs"  "Colorado"  "KCOS"

City "Copper Mtn"  "Colorado"  "KLXV"

City "Craig"  "Colorado"  "KCAG"

City "Crested Butte"  "Colorado"  "KV"

City "Denver"  "Colorado"  "KDEN"

City "Durango/La Plata Cnty"  "Colorado"  "KDRO"

City "Eagle"  "Colorado"  "KEGE"

City "Fort Collins(Sawrs)"  "Colorado"  "KFCL"

City "Glenwood Springs"  "Colorado"  "KGWS"

City "Grand Junction"  "Colorado"  "KGJT"

City "Gunnison"  "Colorado"  "KGUC"

City "La Junta Municipal"  "Colorado"  "KLHX"

City "Limon"  "Colorado"  "KLIC"

City "Montrose"  "Colorado"  "KMTJ"

City "Pueblo Memorial"  "Colorado"  "KPUB"

City "Steamboat Springs"  "Colorado"  "KSBS"

City "Trinidad/Animas Co."  "Colorado"  "KTAD"

City "Vail"  "Colorado"  "CD"

City "Winter Park"  "Colorado"  "KC"

City "Bridgeport/Sikorski"  "Connecticut"  "KBDR"

City "Hartford/Bradley"  "Connecticut"  "KBDL"

City "New Haven/Tweed"  "Connecticut"  "KHVN"

City "Dover Afb"  "Delaware"  "KDOV"

City "Wilmington Airport"  "Delaware"  "KILG"

City "Washington"  "District of Columbia"  "KDCA"

City "Apalachicola Muni"  "Florida"  "KAQQ"

City "Cross City"  "Florida"  "KCTY"

City "Daytona Beach Rgnl"  "Florida"  "KDAB"

City "Destin"  "Florida"  "KDTS"

City "Fort Lauderdale"  "Florida"  "KFXE"

City "Fort Myers/Page Fld"  "Florida"  "KFMY"

City "Gainesville Rgnl"  "Florida"  "KGNV"

City "Homestead Afb"  "Florida"  "KHST"

City "Jacksonville Intl"  "Florida"  "KJAX"

City "Jacksonville/Cecil"  "Florida"  "KNZC"

City "Key West Intl Arpt"  "Florida"  "KEYW"

City "Mary Esther/Ft Wal"  "Florida"  "KHRT"

City "Mayport Ns"  "Florida"  "KNRB"

City "Melbourne Regional"  "Florida"  "KMLB"

City "Miami"  "Florida"  "KMIA"

City "Milton"  "Florida"  "KNDZ"

City "Orlando"  "Florida"  "KMCO"

City "Panama City/Bay Co"  "Florida"  "KPFN"

City "Pensacola Regional"  "Florida"  "KPNS"

City "Sarasota"  "Florida"  "KSAR"

City "St Petersburg"  "Florida"  "KPIE"

City "Tallahassee Rgnl"  "Florida"  "KTLH"

City "Tampa Intl Airport"  "Florida"  "KTPA"

City "Titusville"  "Florida"  "KTIX"

City "Valparaiso"  "Florida"  "KVPS"

City "Vero Beach"  "Florida"  "KVRB"

City "West Palm Beach"  "Florida"  "KPBI"

City "Albany Municipal"  "Georgia"  "KABY"

City "Alma/Bacon Co."  "Georgia"  "KAMG"

City "Athens Municipal"  "Georgia"  "KAHN"

City "Atlanta"  "Georgia"  "KATL"

City "Augusta/Bush Field"  "Georgia"  "KAGS"

City "Brunswick/Malcolm"  "Georgia"  "KSSI"

City "Columbus Metro Arpt"  "Georgia"  "KCSG"

City "Fort Benning"  "Georgia"  "KLSF"

City "Gainesville"  "Georgia"  "KGVL"

City "Macon/Lewis Wilson"  "Georgia"  "KMCN"

City "Marietta"  "Georgia"  "KMGE"

City "Rome/Russell"  "Georgia"  "KRMG"

City "Savannah Municipal"  "Georgia"  "KSAV"

City "Valdosta Regional"  "Georgia"  "KVLD"

City "Warner Robins Afb"  "Georgia"  "KWRB"

City "Waycross/Ware Co."  "Georgia"  "KAYS"

City "Hilo/Lyman Fiel"  "Hawaii"  "PHTO"

City "Honolulu"  "Hawaii"  "PHNL"

City "Kahului Arpt"  "Hawaii"  "PHOG"

City "Lihue/Kauai"  "Hawaii"  "PHLI"

City "Midway Island N"  "Hawaii"  "PMDY"

City "Boise Municipal"  "Idaho"  "KBOI"

City "Burley Municipal"  "Idaho"  "KBYI"

City "Challis"  "Idaho"  "KU"

City "Coeur D'Alen"  "Idaho"  "KCOE"

City "Idaho Falls/Fanning"  "Idaho"  "KIDA"

City "Lewiston"  "Idaho"  "KLWS"

City "Lowell/Elk City"  "Idaho"  "KP"

City "Malad City"  "Idaho"  "KMLD"

City "Mccall Arpt"  "Idaho"  "KMYL"

City "Mountain Home Afb"  "Idaho"  "KMUO"

City "Pocatello Municipal"  "Idaho"  "KPIH"

City "Salmon"  "Idaho"  "KU"

City "Sandpoint"  "Idaho"  "KSPT"

City "Champaign"  "Illinois"  "KCMI"

City "Chicago"  "Illinois"  "KORD"

City "Chicago/Midway"  "Illinois"  "KMDW"

City "Decatur Airport"  "Illinois"  "KDEC"

City "Glenview Nas"  "Illinois"  "KNBU"

City "Harrisburg"  "Illinois"  "KHSB"

City "Marion"  "Illinois"  "KMWA"

City "Marseilles"  "Illinois"  "KMMO"

City "Moline/Quad City"  "Illinois"  "KMLI"

City "Mount Vernon"  "Illinois"  "KMVN"

City "Peoria Regional"  "Illinois"  "KPIA"

City "Quincy Muni/Baldwin"  "Illinois"  "KUIN"

City "Rockford"  "Illinois"  "KRFD"

City "Scott Afb/Bellevill"  "Illinois"  "KBLV"

City "Springfield/Capital"  "Illinois"  "KSPI"

City "Vandalia"  "Illinois"  "KVLA"

City "Virden"  "Illinois"  "KK"

City "Anderson"  "Indiana"  "KAID"

City "Evansville Regional"  "Indiana"  "KEVV"

City "Fort Wayne/Baer Fld"  "Indiana"  "KFWA"

City "Indianapolis Intl"  "Indiana"  "KIND"

City "Lafayette/Purdue U"  "Indiana"  "KLAF"

City "Madison Muni"  "Indiana"  "KIMS"

City "Muncie"  "Indiana"  "KMIE"

City "Peru"  "Indiana"  "KGUS"

City "South Bend/St. Joe"  "Indiana"  "KSBN"

City "Terre Haute/Hulman"  "Indiana"  "KHUF"

City "Valparaiso"  "Indiana"  "KVPZ"

City "Burlington Muni"  "Iowa"  "KBRL"

City "Carroll"  "Iowa"  "KCIN"

City "Cedar Rapids Muni"  "Iowa"  "KCID"

City "Davenport"  "Iowa"  "KDVN"

City "Denison"  "Iowa"  "KDNS"

City "Des Moines Intl"  "Iowa"  "KDSM"

City "Dubuque Municipal"  "Iowa"  "KDBQ"

City "Fort Dodge"  "Iowa"  "KFOD"

City "Iowa City Muni"  "Iowa"  "KIOW"

City "Keokuk"  "Iowa"  "KEOK"

City "Lamoni"  "Iowa"  "KLWD"

City "Mason City Muni"  "Iowa"  "KMCW"

City "Ottumwa Industrial"  "Iowa"  "KOTM"

City "Red Oak"  "Iowa"  "KRDK"

City "Sioux City Muni"  "Iowa"  "KSUX"

City "Spencer"  "Iowa"  "KSPW"

City "Waterloo Municipal"  "Iowa"  "KALO"

City "Chanute/Martin John"  "Kansas"  "KCNU"

City "Coffeyville"  "Kansas"  "KCFV"

City "Concordia"  "Kansas"  "KCNK"

City "Dodge City"  "Kansas"  "KDDC"

City "Emporia Municipal"  "Kansas"  "KEMP"

City "Garden City Muni"  "Kansas"  "KGCK"

City "Goodland/Renner"  "Kansas"  "KGLD"

City "Great Bend"  "Kansas"  "KGBD"

City "Hays"  "Kansas"  "KHYS"

City "Hill City Municipal"  "Kansas"  "KHLC"

City "Hutchinson Muni"  "Kansas"  "KHUT"

City "Independence"  "Kansas"  "KIDP"

City "Liberal"  "Kansas"  "KLBL"

City "Manhattan Municipal"  "Kansas"  "KMHK"

City "Olathe"  "Kansas"  "KOJC"

City "Phillipsburg"  "Kansas"  "KPHG"

City "Russell Municipal"  "Kansas"  "KRSL"

City "Salina Municipal"  "Kansas"  "KSLN"

City "Scott City"  "Kansas"  "KTQK"

City "Topeka/Billard Muni"  "Kansas"  "KTOP"

City "Wichita"  "Kansas"  "KICT"

City "Bowling Green"  "Kentucky"  "KBWG"

City "Cincinnati/Covingto"  "Kentucky"  "KCVG"

City "Fort Knox/Godman"  "Kentucky"  "KFTK"

City "Hopkinsville"  "Kentucky"  "KHOP"

City "Jackson/J. Carroll"  "Kentucky"  "KJKL"

City "Lexington/Bluegrass"  "Kentucky"  "KLEX"

City "London-Corbin Arpt"  "Kentucky"  "KLOZ"

City "Louisville/Standifo"  "Kentucky"  "KSDF"

City "Owensboro/Daviess"  "Kentucky"  "KOWB"

City "Paducah/Barkley"  "Kentucky"  "KPAH"

City "Pikeville"  "Kentucky"  "KI"

City "Alexandria Int"  "Louisiana"  "KAEX"

City "Alexandria/Esler"  "Louisiana"  "KESF"

City "Baton Rouge/Ryan"  "Louisiana"  "KBTR"

City "Bossier City"  "Louisiana"  "KDTN"

City "Fort Polk"  "Louisiana"  "KPOE"

City "Lafayette Regional"  "Louisiana"  "KLFT"

City "Lake Charles Muni"  "Louisiana"  "KLCH"

City "Monroe Regional"  "Louisiana"  "KMLU"

City "New Orleans"  "Louisiana"  "KNBG"

City "New Orleans/Lakefro"  "Louisiana"  "KNEW"

City "New Orleans/Moisant"  "Louisiana"  "KMSY"

City "Shreveport Regional"  "Louisiana"  "KSHV"

City "Slidell"  "Louisiana"  "KASD"

City "Auburn-Lewiston"  "Maine"  "KLEW"

City "Augusta State Arpt"  "Maine"  "KAUG"

City "Bangor Intl Arpt"  "Maine"  "KBGR"

City "Brunswick Nas"  "Maine"  "KNHZ"

City "Caribou Municipal"  "Maine"  "KCAR"

City "Eastport"  "Maine"  "KEPO"

City "Greenville"  "Maine"  "KGNR"

City "Houlton Intl Arpt"  "Maine"  "KHUL"

City "Loring Afb/Limeston"  "Maine"  "KLIZ"

City "Portland Intl Jet"  "Maine"  "KPWM"

City "Andrews Afb"  "Maryland"  "KADW"

City "Baltimore/Wash Intl"  "Maryland"  "KBWI"

City "Patuxent River Nas"  "Maryland"  "KNHK"

City "Salisbury Regional"  "Maryland"  "KSBY"

City "Boston"  "Massachusetts"  "KBOS"

City "Chatham"  "Massachusetts"  "KCQX"

City "Falmouth/Otis"  "Massachusetts"  "KFMH"

City "New Bedford Muni"  "Massachusetts"  "KEWB"

City "South Weymouth Nas"  "Massachusetts"  "KNZW"

City "Springfield/Westovr"  "Massachusetts"  "KCEF"

City "Worcester"  "Massachusetts"  "KORH"

City "Alpena Co. Regional"  "Michigan"  "KAPN"

City "Ann Arbor"  "Michigan"  "KARB"

City "Battle Creek"  "Michigan"  "KBTL"

City "Detroit Metro"  "Michigan"  "KDTW"

City "Escanaba"  "Michigan"  "KESC"

City "Flint/Bishop Intl"  "Michigan"  "KFNT"

City "Grand Rapids Intl"  "Michigan"  "KGRR"

City "Gwinn"  "Michigan"  "KSAW"

City "Houghton Lake Arpt"  "Michigan"  "KHTL"

City "Iron Mountain"  "Michigan"  "KIMT"

City "Ironwood"  "Michigan"  "KIWD"

City "Lansing/Capital"  "Michigan"  "KLAN"

City "Mackinack Island"  "Michigan"  "KMCD"

City "Marquette Co. Arpt"  "Michigan"  "KMQT"

City "Mount Clemens"  "Michigan"  "KMTC"

City "Muskegon"  "Michigan"  "KMKG"

City "Saginaw/Tri City"  "Michigan"  "KMBS"

City "Sault Ste Marie"  "Michigan"  "KANJ"

City "Traverse City/Cherr"  "Michigan"  "KTVC"

City "Wurtsmith/Oscoda"  "Michigan"  "KOSC"

City "Albert Lea (Awos)"  "Minnesota"  "KAEL"

City "Alexandria/Chandler"  "Minnesota"  "KAXN"

City "Austin"  "Minnesota"  "KAUM"

City "Baudette Intl Arpt"  "Minnesota"  "KBDE"

City "Bemidji"  "Minnesota"  "KBJI"

City "Brainerd/Wieland"  "Minnesota"  "KBRD"

City "Duluth Intl Airport"  "Minnesota"  "KDLH"

City "Fergus Falls"  "Minnesota"  "KFFM"

City "Hibbing-Chisholm"  "Minnesota"  "KHIB"

City "International Falls"  "Minnesota"  "KINL"

City "Mankato"  "Minnesota"  "KMKT"

City "Marshall"  "Minnesota"  "KMML"

City "Owatonna (Awos)"  "Minnesota"  "KOWA"

City "Redwood Falls Muni"  "Minnesota"  "KRWF"

City "Rochester Municipal"  "Minnesota"  "KRST"

City "St. Cloud Municipal"  "Minnesota"  "KSTC"

City "Thief River"  "Minnesota"  "KTVF"

City "Minneapolis"  "Minnisota"  "KMSP"

City "Columbus"  "Mississippi"  "KCBM"

City "Golden Tri"  "Mississippi"  "KGTR"

City "Greenville Muni"  "Mississippi"  "KGLH"

City "Greenwood/Leflore"  "Mississippi"  "KGWO"

City "Gulfport-Biloxi"  "Mississippi"  "KGPT"

City "Jackson/Thompson"  "Mississippi"  "KJAN"

City "Mccomb/Lewis Field"  "Mississippi"  "KMCB"

City "Meridian/Key Field"  "Mississippi"  "KMEI"

City "Pascagoula (Cgs)"  "Mississippi"  "KR"

City "Tupelo/C.D. Lemons"  "Mississippi"  "KTUP"

City "Cape Girardeau"  "Missouri"  "KCGI"

City "Columbia Regional"  "Missouri"  "KCOU"

City "Hannibal"  "Missouri"  "KHAE"

City "Jefferson City Mem"  "Missouri"  "KJEF"

City "Joplin Regional"  "Missouri"  "KJLN"

City "Kansas City Intl"  "Missouri"  "KMCI"

City "Kansas City Muni"  "Missouri"  "KMKC"

City "Kirksville Regional"  "Missouri"  "KIRK"

City "Sedalia Memorial"  "Missouri"  "KDMO"

City "Spickard"  "Missouri"  "KP"

City "Springfld Muni"  "Missouri"  "KSGF"

City "St Joseph"  "Missouri"  "KSTJ"

City "St. Louis"  "Missouri"  "KSTL"

City "Whiteman"  "Missouri"  "KSZL"

City "Baker Muni Arpt"  "Montana"  "KBHK"

City "Billings/Logan Intl"  "Montana"  "KBIL"

City "Bozeman/Gallatin"  "Montana"  "KBZN"

City "Butte/Bert Mooney"  "Montana"  "KBTM"

City "Cut Bank"  "Montana"  "KCTB"

City "Glasgow Intl Arpt"  "Montana"  "KGGW"

City "Great Falls Intl"  "Montana"  "KGTF"

City "Havre"  "Montana"  "KHVR"

City "Helena Regional"  "Montana"  "KHLN"

City "Jordan"  "Montana"  "KJDN"

City "Kalispell/Glacier"  "Montana"  "KFCA"

City "Lewistown Municipal"  "Montana"  "KLWT"

City "Miles City"  "Montana"  "KMLS"

City "Missoula/Bell Field"  "Montana"  "KMSO"

City "Yellowstone"  "Montana"  "KWYS"

City "Albion"  "Nebraska"  "KBVN"

City "Alliance"  "Nebraska"  "KAIA"

City "Columbus Muni(Awos)"  "Nebraska"  "KOLU"

City "Falls City"  "Nebraska"  "KFNB"

City "Fremont"  "Nebraska"  "KFET"

City "Grand Island"  "Nebraska"  "KGRI"

City "Hastings"  "Nebraska"  "KHSI"

City "Kearney"  "Nebraska"  "KEAR"

City "Lincoln Municipal"  "Nebraska"  "KLNK"

City "Mccook Municipal"  "Nebraska"  "KMCK"

City "N. Platte/Lee Bird"  "Nebraska"  "KLBF"

City "Norfolk/Stefan Fld"  "Nebraska"  "KOFK"

City "Offutt Afb/Bellevue"  "Nebraska"  "KOFF"

City "Omaha/Eppley Field"  "Nebraska"  "KOMA"

City "Scottsbluff/Heilig"  "Nebraska"  "KBFF"

City "Sidney Muni"  "Nebraska"  "KSNY"

City "Valentine"  "Nebraska"  "KVTN"

City "Caliente"  "Nevada"  "KP"

City "Elko"  "Nevada"  "KEKO"

City "Ely/Yelland Fld"  "Nevada"  "KELY"

City "Fallon Nas"  "Nevada"  "KNFL"

City "Las Vegas"  "Nevada"  "KLAS"

City "Lovelock/Derby Fld"  "Nevada"  "KLOL"

City "Mercury/Desert Rock"  "Nevada"  "KDRA"

City "Reno"  "Nevada"  "KRNO"

City "Tonopah Airport"  "Nevada"  "KTPH"

City "Winnemucca Muni"  "Nevada"  "KWMC"

City "Concord Municipal"  "New Hampshire"  "KCON"

City "Lebanon Municipal"  "New Hampshire"  "KLEB"

City "Portsmouth Harbor"  "New Hampshire"  "KB"

City "Atlantic City Intl"  "New Jersey"  "KACY"

City "Lakehurst (Naes)"  "New Jersey"  "KNEL"

City "Millville Municipal"  "New Jersey"  "KMIV"

City "Newark Intl Airport"  "New Jersey"  "KEWR"

City "Teterboro Airport"  "New Jersey"  "KTEB"

City "Wrightstown"  "New Jersey"  "KWRI"

City "Alamogordo-White"  "New Mexico"  "KALM"

City "Albuquerque Intl"  "New Mexico"  "KABQ"

City "Carlsbad/Cavern Cty"  "New Mexico"  "KCNM"

City "Clayton Muni"  "New Mexico"  "KCAO"

City "Clovis Muni"  "New Mexico"  "KCVN"

City "Deming Municipal"  "New Mexico"  "KDMN"

City "Farmington Regional"  "New Mexico"  "KFMN"

City "Gallup Muni/Clarke"  "New Mexico"  "KGUP"

City "Hobbs/Lea Co."  "New Mexico"  "KHOB"

City "Las Vegas Municipal"  "New Mexico"  "KLVS"

City "Roswell/Industrial"  "New Mexico"  "KROW"

City "Santa Fe Co. Muni"  "New Mexico"  "KSAF"

City "Truth Or Consequenc"  "New Mexico"  "KTCS"

City "Tucumcari Municipal"  "New Mexico"  "KTCC"

City "Albany County Arpt"  "New York"  "KALB"

City "Binghamton/Broome"  "New York"  "KBGM"

City "Buffalo Intl Arpt"  "New York"  "KBUF"

City "Elmira/Corning Rgnl"  "New York"  "KELM"

City "Fort Drum/Wheeler"  "New York"  "KGTB"

City "Glen Falls/Warren"  "New York"  "KGFL"

City "Islip/Macarthur"  "New York"  "KISP"

City "Massena/Richards"  "New York"  "KMSS"

City "New York/Jf Kennedy"  "New York"  "KJFK"

City "New York/La Guardia"  "New York"  "KLGA"

City "Newburgh/Stewart"  "New York"  "KSWF"

City "Niagara Falls Intl"  "New York"  "KIAG"

City "Plattsburgh Afb"  "New York"  "KPBG"

City "Poughkeepsie"  "New York"  "KPOU"

City "Rochester/Monroe Co"  "New York"  "KROC"

City "Rome"  "New York"  "KRME"

City "Syracuse/Hancock"  "New York"  "KSYR"

City "Utica/Oneida Co."  "New York"  "KUCA"

City "Watertown Intl Arpt"  "New York"  "KART"

City "White Plains"  "New York"  "KHPN"

City "Asheville Municipal"  "North Carolina"  "KAVL"

City "Cape Hatteras"  "North Carolina"  "KHAT"

City "Charlotte/Douglas"  "North Carolina"  "KCLT"

City "Cherry Point Mcas"  "North Carolina"  "KNKT"

City "Elizabeth City"  "North Carolina"  "KECG"

City "Fayetteville Rgnl"  "North Carolina"  "KFAY"

City "Goldsboro"  "North Carolina"  "KGSB"

City "Greensboro/Piedmont"  "North Carolina"  "KGSO"

City "Hatteras"  "North Carolina"  "KHSE"

City "Hickory Regional"  "North Carolina"  "KHKY"

City "Jacksonville"  "North Carolina"  "KOAJ"

City "New Bern/Craven Co"  "North Carolina"  "KEWN"

City "Raleigh-Durham"  "North Carolina"  "KRDU"

City "Salisbury"  "North Carolina"  "KRUQ"

City "Wilmington/New Han"  "North Carolina"  "KILM"

City "Winston-Salem"  "North Carolina"  "KINT"

City "Bismarck Municipal"  "North Dakota"  "KBIS"

City "Devils Lake"  "North Dakota"  "KDVL"

City "Dickinson"  "North Dakota"  "KDIK"

City "Fargo/Hector Field"  "North Dakota"  "KFAR"

City "Grand Forks Afb"  "North Dakota"  "KRDR"

City "Grand Forks Intl"  "North Dakota"  "KGFK"

City "Jamestown"  "North Dakota"  "KJMS"

City "Minot Intl Airport"  "North Dakota"  "KMOT"

City "Williston/Sloulin"  "North Dakota"  "KISN"

City "Akron-Canton Rgnl"  "Ohio"  "KCAK"

City "Cincinnati/Lunkin"  "Ohio"  "KLUK"

City "Cleveland/Hopkins"  "Ohio"  "KCLE"

City "Dayton/James M Cox"  "Ohio"  "KDAY"

City "Findlay"  "Ohio"  "KFDY"

City "Mansfield/Lahm Muni"  "Ohio"  "KMFD"

City "Port Columbus Intl"  "Ohio"  "KCMH"

City "Springfield Muni"  "Ohio"  "KSGH"

City "Toledo"  "Ohio"  "KTOL"

City "Wright-Paterson Afb"  "Ohio"  "KFFO"

City "Youngstown Muni"  "Ohio"  "KYNG"

City "Zanesville Muni"  "Ohio"  "KZZV"

City "Altus Afb"  "Oklahoma"  "KLTS"

City "Enid/Woodring Muni"  "Oklahoma"  "KWDG"

City "Fort Sill"  "Oklahoma"  "KFSI"

City "Gage/Shattuck"  "Oklahoma"  "KGAG"

City "Hobart Municipal"  "Oklahoma"  "KHBR"

City "Lawton Municipal"  "Oklahoma"  "KLAW"

City "Mc Alester Regional"  "Oklahoma"  "KMLC"

City "Oklahoma City"  "Oklahoma"  "KOKC"

City "Ponca City Muni"  "Oklahoma"  "KPNC"

City "Stillwater Muni"  "Oklahoma"  "KSWO"

City "Tulsa Intl Arpt"  "Oklahoma"  "KTUL"

City "Astoria/Clatsop"  "Oregon"  "KAST"

City "Baker Municipal"  "Oregon"  "KBKE"

City "Bend"  "Oregon"  "KSO"

City "Burns Muni"  "Oregon"  "KBNO"

City "Eugene/Mahlon Sweet"  "Oregon"  "KEUG"

City "Klamath Falls/Kings"  "Oregon"  "KLMT"

City "Medford/Jackson Co."  "Oregon"  "KMFR"

City "Newport Municipal"  "Oregon"  "KONP"

City "North Bend"  "Oregon"  "KOTH"

City "Pendleton Municipal"  "Oregon"  "KPDT"

City "Portland Intl Arpt"  "Oregon"  "KPDX"

City "Redmond"  "Oregon"  "KRDM"

City "Salem/Mcnary"  "Oregon"  "KSLE"

City "Sexton Summit"  "Oregon"  "KSXT"

City "The Dalles Muni"  "Oregon"  "KDLS"

City "Allentown-Bethlehem"  "Pennsylvania"  "KABE"

City "Altoona/Blair Co."  "Pennsylvania"  "KAOO"

City "Bradford Regional"  "Pennsylvania"  "KBFD"

City "Du Bois"  "Pennsylvania"  "KDUJ"

City "Erie Intl Airport"  "Pennsylvania"  "KERI"

City "Harrisburg/Capital"  "Pennsylvania"  "KCXY"

City "Johnstown/Cambria"  "Pennsylvania"  "KJST"

City "Middletown/Olmsted"  "Pennsylvania"  "KMDT"

City "Philadelphia Intl"  "Pennsylvania"  "KPHL"

City "Pittsburgh Intl"  "Pennsylvania"  "KPIT"

City "Reading/Spaatz Fld"  "Pennsylvania"  "KRDG"

City "Wilkes-Barre/Scrant"  "Pennsylvania"  "KAVP"

City "Williamsport"  "Pennsylvania"  "KIPT"

City "Willow Grove Nas"  "Pennsylvania"  "KNXX"

City "Block Island"  "Rhode Island"  "KBID"

City "Providence/Green"  "Rhode Island"  "KPVD"

City "Anderson Co Airport"  "South Carolina"  "KAND"

City "Beaufort"  "South Carolina"  "KNBC"

City "Charlestown Muni"  "South Carolina"  "KCHS"

City "Columbia Metro"  "South Carolina"  "KCAE"

City "Darlington"  "South Carolina"  "KUDG"

City "Florence Regional"  "South Carolina"  "KFLO"

City "Greenville/Spartanb"  "South Carolina"  "KGSP"

City "Myrtle Beach"  "South Carolina"  "KMYR"

City "North Myrtle Beach"  "South Carolina"  "KCRE"

City "Shaw Afb/Sumter"  "South Carolina"  "KSSC"

City "Aberdeen Regional"  "South Dakota"  "KABR"

City "Brookings (Awos)"  "South Dakota"  "KBKX"

City "Huron Regional"  "South Dakota"  "KHON"

City "Pierre Municipal"  "South Dakota"  "KPIR"

City "Rapid City Regional"  "South Dakota"  "KRAP"

City "Sioux Falls/Foss"  "South Dakota"  "KFSD"

City "Watertown Municipal"  "South Dakota"  "KATY"

City "Yankton(Awos)"  "South Dakota"  "KYKN"

City "Bristol/Tri-City"  "Tennessee"  "KTRI"

City "Chattanooga/Lovell"  "Tennessee"  "KCHA"

City "Columbia"  "Tennessee"  "KMRC"

City "Crossville Memorial"  "Tennessee"  "KCSV"

City "Dyersburg"  "Tennessee"  "KDYR"

City "Jackson/Mckellar"  "Tennessee"  "KMKL"

City "Johnson City"  "Tennessee"  "KOA"

City "Knoxville Municipal"  "Tennessee"  "KTYS"

City "Maryville"  "Tennessee"  "KTN"

City "Memphis"  "Tennessee"  "KMEM"

City "Morristown"  "Tennessee"  "KMRX"

City "Murfreesboro"  "Tennessee"  "KMBT"

City "Nashville Metro"  "Tennessee"  "KBNA"

City "Shelbyville"  "Tennessee"  "KSYI"

City "Union City"  "Tennessee"  "KUCY"

City "Abilene Municipal"  "Texas"  "KABI"

City "Alice Intl Airport"  "Texas"  "KALI"

City "Amarillo Arpt"  "Texas"  "KAMA"

City "Austin/Mueller Muni"  "Texas"  "KAUS"

City "Beaumont/Port Arthu"  "Texas"  "KBPT"

City "Beeville"  "Texas"  "KNIR"

City "Bridgeport"  "Texas"  "KBPR"

City "Brownsville"  "Texas"  "KBRO"

City "Childress Municipal"  "Texas"  "KCDS"

City "College Station"  "Texas"  "KCLL"

City "Corpus Christi Intl"  "Texas"  "KCRP"

City "Cotulla Municipal"  "Texas"  "KCOT"

City "Dalhart Municipal"  "Texas"  "KDHT"

City "Dallas"  "Texas"  "KADS"

City "Dallas/Ft Worth"  "Texas"  "KDFW"

City "Dallas/Love Field"  "Texas"  "KDAL"

City "Del Rio Intl"  "Texas"  "KDRT"

City "El Paso Intl Arpt"  "Texas"  "KELP"

City "Fort Stockton"  "Texas"  "KFST"

City "Fort Worth/Meacham"  "Texas"  "KFTW"

City "Gainsville"  "Texas"  "KGLE"

City "Galveston"  "Texas"  "KGLS"

City "Greenville/Majors"  "Texas"  "KGVT"

City "Guadalupe Pass"  "Texas"  "KGDP"

City "Hondo Municipal"  "Texas"  "KHDO"

City "Houston"  "Texas"  "KDWH"

City "Houston/Ellington"  "Texas"  "KEFD"

City "Houston/Intercontin"  "Texas"  "KIAH"

City "Houston/Will Hobby"  "Texas"  "KHOU"

City "Junction"  "Texas"  "KJCT"

City "Killeen Muni"  "Texas"  "KILE"

City "Kingsville Nas"  "Texas"  "KNQI"

City "Laredo Intl Airport"  "Texas"  "KLRD"

City "Longview"  "Texas"  "KGGG"

City "Lubbock Intl Arpt"  "Texas"  "KLBB"

City "Lufkin/Angelina Co."  "Texas"  "KLFK"

City "Marfa Muni"  "Texas"  "KMRF"

City "Mcallen/Miller Intl"  "Texas"  "KMFE"

City "Midland Regional"  "Texas"  "KMAF"

City "Palacios Municipal"  "Texas"  "KPSX"

City "San Angelo/Mathis"  "Texas"  "KSJT"

City "San Antonio Intl"  "Texas"  "KSAT"

City "Sanderson"  "Texas"  "KP"

City "Stephenville/Clark"  "Texas"  "KSEP"

City "Victoria Regional"  "Texas"  "KVCT"

City "Waco-Madison Cooper"  "Texas"  "KACT"

City "Wichita Falls/Shep"  "Texas"  "KSPS"

City "Bryce Canyon"  "Utah"  "KBCE"

City "Cedar City Muni"  "Utah"  "KCDC"

City "Green River Range"  "Utah"  "KU"

City "Hanksville"  "Utah"  "KHV"

City "Milford"  "Utah"  "KMLF"

City "Ogden-Hinckley Muni"  "Utah"  "KOGD"

City "Price/Carbon"  "Utah"  "KPUC"

City "Salt Lake City Intl"  "Utah"  "KSLC"

City "Vernal"  "Utah"  "KVEL"

City "Wendover"  "Utah"  "KENV"

City "Barre-Montpelier"  "Vermont"  "KMPV"

City "Burlington Intl"  "Vermont"  "KBTV"

City "St. Johnsbury"  "Vermont"  "KV"

City "St. Thomas"  "Virgin Islands"  "TIST"

City "Virgin Islands"  "Virgin Islands"  "TISX"

City "Abingdon"  "Virginia"  "KVJI"

City "Ashland"  "Virginia"  "KOFP"

City "Blacksburg"  "Virginia"  "KBCC"

City "Charlottesville"  "Virginia"  "KCHO"

City "Danville Regional"  "Virginia"  "KDAN"

City "Dublin"  "Virginia"  "KPSK"

City "Fort Belvoir/Daviso"  "Virginia"  "KDAA"

City "Harrisonberg"  "Virginia"  "KVA"

City "Langley Afb/Hampton"  "Virginia"  "KLFI"

City "Leesburg/Godfrey"  "Virginia"  "KJYO"

City "Lynchburg/P. Glenn"  "Virginia"  "KLYH"

City "Newport News"  "Virginia"  "KPHF"

City "Norfolk Intl Arpt"  "Virginia"  "KORF"

City "Oceana (Nas)"  "Virginia"  "KNTU"

City "Quantico"  "Virginia"  "KNYG"

City "Radford"  "Virginia"  "KV"

City "Richmond/Byrd Field"  "Virginia"  "KRIC"

City "Roanoke Municipal"  "Virginia"  "KROA"

City "Suffolk"  "Virginia"  "KSFQ"

City "Virginia Tech Arpt"  "Virginia"  "KBCB"

City "Washington/Dulles"  "Virginia"  "KIAD"

City "Wytheville/Marion"  "Virginia"  "KMKJ"

City "Bellingham Intl"  "Washington"  "KBLI"

City "Bremerton Ntnl Awos"  "Washington"  "KPWT"

City "Ephrata Municipal"  "Washington"  "KEPH"

City "Fort Lewis/Gray Aaf"  "Washington"  "KGRF"

City "Hanford"  "Washington"  "KHMS"

City "Hoquiam/Bowerman"  "Washington"  "KHQM"

City "Oak Harbor Airpark"  "Washington"  "KS"

City "Olympia"  "Washington"  "KOLM"

City "Port Angeles Intl"  "Washington"  "KCLM"

City "Quillayute State"  "Washington"  "KUIL"

City "Seattle"  "Washington"  "KBFI"

City "Seattle-Tacoma Intl"  "Washington"  "KSEA"

City "Spokane Intl Arpt"  "Washington"  "KGEG"

City "Spokane/Felts Field"  "Washington"  "KSFF"

City "Stampede Pass"  "Washington"  "KSMP"

City "Tacoma Narrows"  "Washington"  "KTIW"

City "Walla Walla Rgnl"  "Washington"  "KALW"

City "Wenatchee/Pangborn"  "Washington"  "KEAT"

City "Yakima Air Terminal"  "Washington"  "KYKM"

City "Beckley Memorial"  "West Virginia"  "KBKW"

City "Bluefield/Mercer Co"  "West Virginia"  "KBLF"

City "Charleston/Kanawha"  "West Virginia"  "KCRW"

City "Elkins/Randolph Fld"  "West Virginia"  "KEKN"

City "Huntington/Tri Stat"  "West Virginia"  "KHTS"

City "Martinsburg"  "West Virginia"  "KMRB"

City "Morgantown/Hart Fld"  "West Virginia"  "KMGW"

City "Parkersburg/Wilson"  "West Virginia"  "KPKB"

City "Eau Claire Co. Arpt"  "Wisconsin"  "KEAU"

City "Green Bay/Straubel"  "Wisconsin"  "KGRB"

City "Janesville/Rock Co."  "Wisconsin"  "KJVL"

City "La Crosse Municipal"  "Wisconsin"  "KLSE"

City "Madison/Dane Rgnl"  "Wisconsin"  "KMSN"

City "Milwaukee/Mitchell"  "Wisconsin"  "KMKE"

City "Osceola"  "Wisconsin"  "KOEO"

City "Oshkosh/Wittman Fld"  "Wisconsin"  "KOSH"

City "Rhinelander"  "Wisconsin"  "KRHI"

City "Sheboygan"  "Wisconsin"  "KSBM"

City "Wausau Municipal"  "Wisconsin"  "KAUW"

City "Wisconsin Dells"  "Wisconsin"  "KDLL"

City "Big Piney"  "Wyoming"  "KBPI"

City "Casper/Natrona Intl"  "Wyoming"  "KCPR"

City "Cheyenne/Warren Afb"  "Wyoming"  "KCYS"

City "Cody Muni"  "Wyoming"  "KCOD"

City "Gillette"  "Wyoming"  "KGCC"

City "Jackson Hole"  "Wyoming"  "KJAC"

City "Lander"  "Wyoming"  "KLND"

City "Laramie"  "Wyoming"  "KLAR"

City "Rawlins Municipal"  "Wyoming"  "KRWL"

City "Riverton"  "Wyoming"  "KRIW"

City "Rock Springs"  "Wyoming"  "KRKS"

City "Sheridan Co. Arpt"  "Wyoming"  "KSHR"
}

Load

Show t;

Wm title t "US City List"











































