#!/bin/sh
# \
exec tclsh "$0" ${1+"$@"}

# --- xcolors.tcl --- Generate a color database from the X color file

# Copyright (C) I.B.Findleton, 2001. All Rights Reserved.

set fd [open rgbdat.txt r]

set out [open xcolors.txt w]

while { [gets $fd line] != -1 } {
	puts stdout $line
	set list [split [string trim [string map { "  " " " } $line]] " "]
   if { [llength $list] > 4 } {
	   puts $out "AddColor \$fd [lindex $list 3]_[lindex $list 4] [expr [lindex $list 0] / 255.0] [expr [lindex $list 1] /255.0] [expr [lindex $list 2] /255.0]"
   } else {
	   puts $out "AddColor \$fd [lindex $list 3] [expr [lindex $list 0] / 255.0] [expr [lindex $list 1] /255.0] [expr [lindex $list 2] /255.0]"
		}
	}
close $fd
close $out
