#!/bin/sh
# \
exec fltkwish "$0" -- ${1+"$@"}
#
# --- draw.tcl --- Test harness for the drawing widget
#
# Copyright(C) I.B.Findleton, 2002. All Rights Reserved
#
Destroy t
#
set segment "fd \$len rt 45 fd \[hyp \$inset\] rt 45"

proc hyp { l } { return [expr sqrt($l * $l)] }

proc d { args } { 

	t.t set -value "[concat $args]" 
	}

Drawing t.t -bg white -relief flat; Show t

set len 80
set inset 6

set xo 40
set yo 45

for { set i 0 } { $i < 5 } { incr i } {

	d hm ht sp -$xo -$yo pc blue rt 90

	eval d [subst $segment]
	eval d [subst $segment]
	eval d [subst $segment]
	eval d [subst $segment]

	incr len -2
	incr xo -1
	incr yo -1
	}


