#!/bin/sh
# \
exec fltkwish "$0" -- ${1+"$@"}
#
# --- drawing.tcl --- Test harness for the drawing widget
#
# Copyright(C) I.B.Findleton, 2002. All Rights Reserved
#

catch { Destroy t }

Package t.t -orientation vertical

Button t.t.b -command { Next } -label Next

set Data(Images) images/weather
set Data(Widget) [Drawing t.t.d -variable Data(Model)]
set Data(ImageList) [glob $Data(Images)/*.bmp]

Show t

set Data(Current) 0

proc Next {} {

	global Data

	set Data(Current) [expr [incr Data(Current)] % [llength $Data(ImageList)]]

	set Data(Model) "cs ht sp -30 -30 im [lindex $Data(ImageList) $Data(Current)]"
	append Data(Model) " ( al bottom tx [file tail [lindex $Data(ImageList) $Data(Current)]] )"

	}


