# --- newpack.tcl --- Test harness for the package function

# Define the type of package, either Package or Bundle

set P Package

# Handle a resize event of the toplevel window

proc ChangeSize { w } {

	set hd [$w get -h] ; incr hd -20
	set wd [$w get -w] ; incr wd -20
	
	$w.t set -w $wd -h $hd
	
	puts "$w.t set -w $wd -h $hd"
	}
	
# Build the gui

Destroy t

Toplevel t -h 200 -w 400

set f [$P t.t -o horizontal -fill right]
Button $f.b1
set f1 [$P $f.1 -o vertical]

set f2 [$P $f1.1 -o horizontal -w 200]
Button $f2.1; Button $f2.2
set f2 [$P $f1.2 -o horizontal -w 200]
Button $f2.1; Button $f2.2

Label $f.3

Show t

Bind t <Resize> "ChangeSize %w"

