#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}

# --- rollerin.tcl --- Test harness for the roller input widget

# Copyright(C) I.B.Findleton, 2001. All Rights Reserved

package require Fltk

# Uncomment the following line to see a GL version of the demo

# Scheme shiny

catch { Destroy t }

# Create a toplevel frame window

Toplevel t -label "Value Roller Demonstration"

# Here are some variables that will be tracked

set Data(r) 20
set Data(r1) 40

#Option add RollerInput.tooltip "Move the roller to change the value"

# Create a horizontal roller with a value box that has a green background

RollerInput t.r -step 0.25 -textbackground green \
				-label Horizontal -align left -x 100 \
				-variable Data(r) -textformat "%g%%" \
				-tooltip "Move the roller to change the value"
RollerInput t.r1 -y +30 -step 0.25 -textbackground yellow -order roller \
				-label Horizontal -align left -x 100 \
				-variable Data(r1)

# Create a vertical roller

RollerInput t.v -step 0.25 -orientation vertical \
				-y 70 -w 40 -h 150 -proportion 0.85
RollerInput t.v1 -step 0.25 -orientation vertical -order r \
				-y 70 -x +50 -w 40 -h 150 -proportion 0.85

# A button to get rid of the  demo window

Button t.b -text Dismiss -command exit -x 160 -y 200

# Display everything

Show t

