#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}

# --- scrollbar.tcl --- Test harness for the scrollbar

# Copyright(C) I.B.Findleton, 2001. All Rights Reserved

Toplevel t -align left -w 350

set Data(Slider) 0
set Data(Scrollbar) 0
set Data(VSlider) 0

Slider t.slider -x 100 -w 100 -align left -label Slider -step 0 -variable Data(Slider) 
Output t.os -x 220 -variable Data(Slider)

Scrollbar t.scrollbar -x 100 -y 40 -w 100 -align left -label Scrollbar -variable Data(Scrollbar)
Output t.osb -x 220 -y 40 -variable Data(Scrollbar)

ValueSlider t.vslider -x 100 -y 70 -w 100 -align left -label "Value Slider" -variable Data(VSlider) 
Output t.ovs -x 220 -y 70 -variable Data(VSlider)

Package t.p -o vertical -pad 10 -y 120 -w 100

Button t.p.query  -command { puts \"Current position [t.slider get -value] \" } -text Position
Button t.p.step  -command { puts \"Current step [t.slider get -step] \" } -text Step
Button t.p.quit  -command exit -text Dismiss

Show t

Wm title t "Scrollbar Demonstration"
 
