#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- tile.tcl --- Test harness for the tile widget
#
# Copyright(C) I.B.Findleton, 2001. All Rights Reserved
#
Toplevel t
#
# Create a Tile container widget
#
Tile t.t -w 200 -h 200 -relief ridge
#
# Insert a couple of Group containers
#
set xo [expr [t.t get -x] + [t.t get -borderwidth]]
set yo [expr [t.t get -y] + [t.t get -borderwidth]]
 
set g1 [Group t.t.g1 -x $xo -y $yo -h 98 -w 196]
set g2 [Group t.t.g2 -x $xo -y [expr $yo + 98] -h 98 -w 196]

# Put something into the groups

set xg1o [$g1 get -x]
set yg1o [$g1 get -y]

set xg2o [$g2 get -x]
set yg2o [$g2 get -y]

Button $g1.b1 -text "Group 1" -x +$xg1o -y +$yg1o
Button $g2.b1 -text "Group 2" -x +$xg2o -y +$yg2o

Show t

