#!/bin/sh
# \
#exec fltkwish "$0" ${1+"$@"}
#
# --- turtle.tcl --- Test harness for the image drawing functions
#
# Copyright(C) I.B.Findleton, 2001. All Rights Reserved
#
catch { Destroy t }
#h
Image t.t ; Show t; Wm title t "Test harness for Image drawing"
#
# This defines a standard Low symbol
#
set LowSymbol "cs home pc red cr 4 sp -10 -14 th 4 rt 90 dl 20 sp +2 +0 lt 90 \
			dl 30 sp +0 +32 pc black bg yellow ft helv,bold tx 990"
#
# This defines a standard High symbol
#
set HighSymbol "cs home pc blue cr 4 sp -10 -14 th 4 dl 30 sp +20 +0 dl 30 \
			sp +0 -16 lt 90 dl 20 home sp -10 +20 pc black bg yellow ft helv,bold tx 1024" 

set d [t.t add drawing -x 100 -y 80 -data $LowSymbol]

t.t add drawing -x 100 -y 160 -data $HighSymbol

