#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- ui.tcl --- Test collapsable frames
#
# Copyright(C) I.B.Findleton, December, 2004
#

proc Toggle { w b i } {

	if { [$w get -open] == "true" } {
		$w set -open false -label ""
		$b set -label "Open $i" -bg yellow
	} else {
		$w set -open true -label "Frame $i"
		$b set -label "Close $i" -bg green
		}
	}
	
proc Mouse { w x y } {

	puts "$w $x,$y"
	}	
	
Destroy t

set f [Package t.all -orientation vertical]
set g [Package $f.tabs -orientation horizontal]
set h [Stack $f.scroll -w 500 -h 600]

#set l [Package $h.items -orientation vertical]
set l $h

for { set i 0 } { $i < 10 } { incr i } {
	Frame $l.$i -label "Frame $i" -align center -collapsable true -h 200 -y [expr $i * 200] -w 490
	Button $g.$i -label "Close $i" -bg green -command "Toggle $l.$i $g.$i $i" -w 50
	}
	
Show [Center t]

#Bind $f.scroll <Motion> "Mouse %W %x %y" 

